BizKitHub
DocsAPI ReferenceContact/bff/contact/detail-change-email-preview
postContactAdmin BFF

/bff/contact/detail-change-email-preview

Returns whether submitting the given e-mail would be a no-op, a plain rename, or a merge with an existing contact. Designed for live ajax feedback as the operator types into the change-email form.

ContactpostBffContactDetail-change-email-preview

Parameters

JSON body

Request body

application/json
idstringRequired

Contact external ID.

newEmailstringRequired

Candidate new e-mail address (may be unnormalized).

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/detail-change-email-preview

post
curl -X POST "https://api.bizkithub.com/bff/contact/detail-change-email-preview" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "newEmail": "example_newEmail"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key